#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	BDB
Summary:	BDB - Asynchronous Berkeley DB access
Summary(pl.UTF-8):	BDB - asynchroniczny dostęp do Berkeley DB
Name:		perl-BDB
Version:	1.90
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pnam}-1.9.tar.gz
# Source0-md5:	b9956899e9c42034a3ecb73289ad3521
URL:		http://search.cpan.org/dist/BDB/
BuildRequires:	db-devel >= 4.3
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BDB - Asynchronous Berkeley DB access.

%description -l pl.UTF-8
BDB - asynchroniczny dostęp do Berkeley DB.

%prep
%setup -q -n %{pnam}-1.9

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/BDB.pm
%dir %{perl_vendorarch}/auto/BDB
%{perl_vendorarch}/auto/BDB/BDB.bs
%attr(755,root,root) %{perl_vendorarch}/auto/BDB/BDB.so
%{_mandir}/man3/BDB.3pm*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-BDB.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 05143d2
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 4ef9b1a
- release 3 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> b4cb0e7
- Rebuild with DB 5.3
- release 2 (by relup.sh)

* Mon May 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 71f9c22
- updated to 1.9 (but use 1.90 as Version to avoid epoch bump)

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> a76edaa
- pl
- optflags
- BR: perl-devel >= 5.8.8, perl-common-sense
- added db5 patch with db 5.0.x support

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 74243b2
- initial

